package com.rj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rj.entity.SopManagementMy;

import java.util.Map;

/**
 * SOP知识库管理服务
 */
public interface ISopManagementMyService extends IService<SopManagementMy> {

    Map<String, Object> add(SopManagementMy entity);

    Map<String, Object> update(SopManagementMy entity);

    Map<String, Object> deleteById(String id);

    Map<String, Object> pageQuery(Integer current, Integer size, String title, String category, String industry,
                                  String creator, String status);
}
